From c4b54fc6cecd9ee04d835839961ce08bfb81ad81 Mon Sep 17 00:00:00 2001
From: Sean Rhea <sean.c.rhea@gmail.com>
Date: Tue, 24 Nov 2009 09:50:06 -0500
Subject: [PATCH] use Daniels Points in PM chart

---
 src/DanielsPoints.cpp    |    8 ++++++++
 src/StressCalculator.cpp |    2 +-
 2 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/src/DanielsPoints.cpp b/src/DanielsPoints.cpp
index 4f1b3b9..ba33000 100644
--- a/src/DanielsPoints.cpp
+++ b/src/DanielsPoints.cpp
@@ -46,6 +46,14 @@ class DanielsPoints : public RideMetric {
     void compute(const RideFile *ride, const Zones *zones,
                  int zoneRange, const QHash<QString,RideMetric*> &) {
 
+	if (ride->deviceType() == QString("Manual CSV")) {
+	    // Manual entry: use BS from dataPoints with a scaling factor
+            // that works about right for long, steady rides.
+            double scaling_factor = 11.0 / 58.0;
+            score = ride->dataPoints().first()->bs * scaling_factor;
+            return;
+	}
+
         static const double EPSILON = 0.1;
         static const double NEGLIGIBLE = 0.1;
 
diff --git a/src/StressCalculator.cpp b/src/StressCalculator.cpp
index 928ec90..cb35ebb 100644
--- a/src/StressCalculator.cpp
+++ b/src/StressCalculator.cpp
@@ -137,7 +137,7 @@ void StressCalculator::calculateStress(QWidget *mw,
 	    else {
 		item->computeMetrics();
 
-		if ((m = item->metrics.value("skiba_bike_score")) &&
+		if ((m = item->metrics.value("daniels_points")) &&
 			m->value(true)) {
 		    bs = m->value(true);
 		}
-- 
1.6.3.1

